# AtomChannelWorker Class Reference
[Feed's parsers]

Inheritance diagram for AtomChannelWorker:
[legend]

List of all members.

## Public Member Functions

| makeChannel (SimpleXMLElement $xmlFeed)
| toXml (FeedChannel $channel, $itemsXml)

## Static Public Member Functions

static | me ()

## Detailed Description

Definition at line 15 of file AtomChannelWorker.class.php.

## Member Function Documentation

AtomChannelWorker::makeChannel | ( | SimpleXMLElement $ | xmlFeed | ) |

Returns:
  FeedChannel

Implements FeedChannelWorker.

Definition at line 28 of file AtomChannelWorker.class.php.

References FeedChannel::create().

Here is the call graph for this function:

static AtomChannelWorker::me | ( |  | ) | `[static]`

Returns:
  AtomChannelWorker

Definition at line 20 of file AtomChannelWorker.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

AtomChannelWorker::toXml | ( | FeedChannel $ | channel,
|  | $ | itemsXml |
| ) |  |  |

Implements FeedChannelWorker.

Definition at line 41 of file AtomChannelWorker.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Feed/AtomChannelWorker.class.php